{
  "format_version": "1.12",
  "minecraft:recipe_shaped": {
    "description": {
    "identifier": "addon:chocolate"
    },
    "tags": [ "crafting_table" ],
    "pattern": [
      "#X#",
      "#X#",
      "#X#"
    ],
    "key": {
      "X": {
        "item": "minecraft:sugar"
      },
      "#": {
        "item": "minecraft:dye",
        "data": 3
      }
    },
    "result": {
      "item": "addon:chocolate",
      "count": 3
    }
  }
}